Class | SOAP::StreamHandler
In: | soap/streamHandler.rb
Parent: | Object

### Methods

create_media_type parse_media_type

### Classes and Modules

Class SOAP::StreamHandler::ConnectionData

### Constants

RUBY_VERSION_STRING | = | "ruby #{ RUBY_VERSION } (#{ RUBY_RELEASE_DATE }) [#{ RUBY_PLATFORM }]"

### Public Class methods

create_media_type(charset)

[Source]

    # File soap/streamHandler.rb, line 52
      def self.create_media_type(charset)
        "#{ MediaType }; charset=#{ charset }"
      end

parse_media_type(str)

[Source]

    # File soap/streamHandler.rb, line 43
      def self.parse_media_type(str)
        if /^#{ MediaType }(?:\s*;\s*charset=([^"]+|"[^"]+"))?$/i !~ str
          return nil
        end
        charset = $1
        charset.gsub!(/"/, '') if charset
        charset || 'us-ascii'
      end

[Validate]